package com.uas.platform.b2b.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.PurchaseApBill;
import com.uas.platform.b2b.model.PurchaseApBillItem;
import com.uas.platform.core.model.PageInfo;

public interface PurchaseApBillService {

	/**
	 * 批量保存、修改客户应付票据单
	 * 
	 * @param changeItems
	 * @return
	 */
	public void save(List<PurchaseApBillItem> apBillItems);
	
	/**
	 * 获取需要上传（到卖方）的未上传应付票据
	 * @return
	 */
	public List<PurchaseApBill> findNotUpload();
	
	/**
	 * 上传好需要上传的客户不良品入库单后修改单据的上传状态
	 * @param idArray
	 */
	public void onUploadSuccess(String[] idArray);

	/**
	 * 分页查找客户应付票据，包括明细
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<PurchaseApBill> findAllByPageInfo(PageInfo pageInfo);
	
	/**
	 * 用不良品入库单ID查找客户应付票据
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseApBill findById(Long id);

}
